You are not logged in.

#1 2020-08-13 03:12:27

followait
Member
Registered: 2019-11-01
Posts: 33

[SOLVED] failed to install eclipse-cpp

failed to install, reproduce:

1 git clone https://aur.archlinux.org/eclipse.git

2 edit PKGBUILD, replace one line as below
```
# source_x86_64+=(http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/$_release/$_src)
  source_x86_64+=(file:///local_path/$_src)
```

3 makepkg, error message:
```
curl: (37) Couldn't open file /local_path/eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz
==> ERROR: Failure while downloading file:///local_path/eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz
    Aborting...
```

4 questions:

4.1 Why does it try to find "eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz" instead of "eclipse-cpp-2020-06-R-linux-gtk-x86_64.tar.gz"?

4.2 How to install eclipse-cpp?

Last edited by followait (2020-08-13 14:20:50)

Offline

#2 2020-08-13 03:54:12

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,541

Re: [SOLVED] failed to install eclipse-cpp

Moving to AUR issues.

Offline

#3 2020-08-13 04:15:24

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 25,106
Website

Re: [SOLVED] failed to install eclipse-cpp

Why did you replace the source line?  Did the PKGBUILD in the AUR not work?  Did you download all the source files locally (apparently not according to the error).

As for why it tried to find eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz, simple: it didn't try to find it instead of eclipse-cpp-2020-06-R-linux-gtk-x86_64.tar.gz, it just tried to find it first.  If you are going to download the sources manually and change the source array as you've done, you need to download all the source files in this way.  But this just brings us back to the first question: why are you trying to do this?


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#4 2020-08-13 05:15:24

followait
Member
Registered: 2019-11-01
Posts: 33

Re: [SOLVED] failed to install eclipse-cpp

Trilby wrote:

Why did you replace the source line?  Did the PKGBUILD in the AUR not work?

It's very slow to download the *.tar.gz in my country, so I download it another way, and edit PKGBUILD. It works well for other aur's.

Trilby wrote:

Did you download all the source files locally (apparently not according to the error).

No, I only need eclipse-cpp, so I just downloaded `eclipse-cpp-2020-06-R-linux-gtk-x86_64.tar.gz`.

Trilby wrote:

As for why it tried to find eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz, simple: it didn't try to find it instead of eclipse-cpp-2020-06-R-linux-gtk-x86_64.tar.gz, it just tried to find it first.  If you are going to download the sources manually and change the source array as you've done, you need to download all the source files in this way.  But this just brings us back to the first question: why are you trying to do this?

If I only need eclipse-cpp, can I eidt PKGBUILD like this:

# pkgname=(eclipse-{common,java,jee,cpp,php,javascript,rust})
pkgname=(eclipse-{common,cpp})

Offline

#5 2020-08-13 12:03:57

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 25,106
Website

Re: [SOLVED] failed to install eclipse-cpp

No, you'd need to do a lot more editting of the PKGBUILD.  You'd be better off starting from scratch with a new PKGBUILD.

I took a stab at it - and this is completely untested, but based on simplifying the existing PKGBUILD from a split package to a single:

pkgname=eclipse-cpp
pkgver=4.16
pkgrel=6
_release=2020-06/R
pkgdesc="Highly extensible IDE for C++"
license=(EPL)
arch=(x86_64)
url="https://eclipse.org"
provides=("eclipse=$pkgver-$pkgrel")
makedepends=(python3)
source=("file:///path/to/file.tar.gz")
sha256sums=('SKIP')

package() {
  conflicts=(eclipse)
  install -d "$pkgdir/usr/lib"
  cp -a eclipse-cpp "$pkgdir/usr/lib/eclipse"
  install -D /dev/stdin "$pkgdir/usr/bin/eclipse" <<'END'
#!/bin/bash
export ECLIPSE_HOME=/usr/lib/eclipse
exec $ECLIPSE_HOME/eclipse eclipse-cpp
END

  install -Dm644 /dev/stdin "$pkgdir/usr/share/applications/eclipse.desktop" <<END
[Desktop Entry]
Name=Eclipse
Comment=C++ Development Environment
Icon=eclipse
Exec=eclipse
Terminal=false
Type=Application
Categories=Development;IDE;Java;
StartupNotify=true
END

  for i in 16 22 24 32 48 64 128 256 512 1024; do
    install -Dm644 eclipse-common/plugins/org.eclipse.platform_*/eclipse${i}.png \
      "$pkgdir/usr/share/icons/hicolor/${i}x${i}/apps/eclipse.png"
  done
}

"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#6 2020-08-13 14:20:27

followait
Member
Registered: 2019-11-01
Posts: 33

Re: [SOLVED] failed to install eclipse-cpp

Thanks very much.

I'll share it when it works.

@Trilby

Offline

#7 2020-12-22 22:29:33

jasmin@anw.at
Member
Registered: 2020-12-22
Posts: 1

Re: [SOLVED] failed to install eclipse-cpp

Hello, I haven't made a real fix, but I hacked the .SRCINFO and PKGBUILD files to
install only eclipse-cpp. Eclipse requires now Java 11 which I have changed, also.
I haven't found an upload option, so I added the patch here:

>From d373a5eff1ac36f87e44f95144b9d807049c5d83 Mon Sep 17 00:00:00 2001
From: Jasmin Jessich <jasmin@anw.at>
Date: Tue, 22 Dec 2020 03:15:30 +0100
Subject: [PATCH] Install only eclipse-cpp and require java11

The original PKGBUILD/.SRCINFO did download app the eclipse variants at
once and tried tu build them, even all of them were in conflict. This
commit removes all infornmations off all packages except eclipse-cpp.

Alsoupdated java to version 11, because the core required this
---
 .SRCINFO | 42 +-----------------------------------------
 PKGBUILD | 18 ++++--------------
 2 files changed, 5 insertions(+), 55 deletions(-)

diff --git a/.SRCINFO b/.SRCINFO
index 038930d..59957ee 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -7,54 +7,14 @@ pkgbase = eclipse
 	arch = x86_64
 	license = EPL
 	makedepends = python3
-	noextract = eclipse-java-2020-09-R-linux-gtk-x86_64.tar.gz
-	noextract = eclipse-jee-2020-09-R-linux-gtk-x86_64.tar.gz
-	noextract = eclipse-cpp-2020-09-R-linux-gtk-x86_64.tar.gz
-	noextract = eclipse-php-2020-09-R-linux-gtk-x86_64.tar.gz
-	noextract = eclipse-javascript-2020-09-R-linux-gtk-x86_64.tar.gz
-	noextract = eclipse-rust-2020-09-R-linux-gtk-x86_64.tar.gz
 	source = commonify
 	sha256sums = a68cccdf182449dfb4aef595ab26fe6542902421aef42a79672483865cbbd0ea
-	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-java-2020-09-R-linux-gtk-x86_64.tar.gz
-	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-jee-2020-09-R-linux-gtk-x86_64.tar.gz
 	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-cpp-2020-09-R-linux-gtk-x86_64.tar.gz
-	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-php-2020-09-R-linux-gtk-x86_64.tar.gz
-	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-javascript-2020-09-R-linux-gtk-x86_64.tar.gz
-	source_x86_64 = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/2020-09/R/eclipse-rust-2020-09-R-linux-gtk-x86_64.tar.gz
-	sha256sums_x86_64 = ad597ad092d349f7a2bca3ca2145614a3e9fdf3d5311b24bff1089010fd34f5e
 	sha256sums_x86_64 = e5b18544c492f96c378da3e01d4de1a4e03903dcbb50bb218d3aa96d93be8eb8
 	sha256sums_x86_64 = fc8fff6bec74a8a6746d2c70f679188b55c7ff7c5b2134b9deecda0685fdb274
-	sha256sums_x86_64 = 7ed9318dfdcc3ea80cf481c9f2a1fd6f98542e2f26381dcf313700eed66aa08d
-	sha256sums_x86_64 = b5bddcd1bf8c602f5304e400d199e9377d6d47fd61f99cbec95e7246aa184d5c
-	sha256sums_x86_64 = 896df756643ca2cf17803ffde785181f5660fc23148957b58d2e853b4a88f284
-
-pkgname = eclipse-java
-	depends = java-environment>=8
-	depends = webkit2gtk
-	depends = unzip
-
-pkgname = eclipse-jee
-	depends = java-environment>=8
-	depends = webkit2gtk
-	depends = unzip
 
 pkgname = eclipse-cpp
-	depends = java-environment>=8
-	depends = webkit2gtk
-	depends = unzip
-
-pkgname = eclipse-php
-	depends = java-environment>=8
-	depends = webkit2gtk
-	depends = unzip
-
-pkgname = eclipse-javascript
-	depends = java-environment>=8
-	depends = webkit2gtk
-	depends = unzip
-
-pkgname = eclipse-rust
-	depends = java-environment>=8
+	depends = java-environment>=11
 	depends = webkit2gtk
 	depends = unzip
 
diff --git a/PKGBUILD b/PKGBUILD
index f38a794..00ba204 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,7 +10,7 @@
 AUR_BUILD=true
 
 pkgbase=eclipse
-pkgname=(eclipse-{java,jee,cpp,php,javascript,rust})
+pkgname=(eclipse-cpp)
 if [ "$AUR_BUILD" = false ]; then
 pkgname+=(eclipse-common)
 fi
@@ -25,12 +25,7 @@ url="https://eclipse.org"
 makedepends=(python3)
 source=(commonify)
 sha256sums=('a68cccdf182449dfb4aef595ab26fe6542902421aef42a79672483865cbbd0ea')
-sha256sums_x86_64=('ad597ad092d349f7a2bca3ca2145614a3e9fdf3d5311b24bff1089010fd34f5e'  # Java
-                   'e5b18544c492f96c378da3e01d4de1a4e03903dcbb50bb218d3aa96d93be8eb8'  # Jee
-                   'fc8fff6bec74a8a6746d2c70f679188b55c7ff7c5b2134b9deecda0685fdb274'  # C++
-                   '7ed9318dfdcc3ea80cf481c9f2a1fd6f98542e2f26381dcf313700eed66aa08d'  # PHP
-                   'b5bddcd1bf8c602f5304e400d199e9377d6d47fd61f99cbec95e7246aa184d5c'  # JS
-                   '896df756643ca2cf17803ffde785181f5660fc23148957b58d2e853b4a88f284') # Rust
+sha256sums_x86_64=('fc8fff6bec74a8a6746d2c70f679188b55c7ff7c5b2134b9deecda0685fdb274')  # C++
 
 _sourcename() {
   case $1 in
@@ -69,7 +64,7 @@ build() {
 
 package_eclipse-common() {
   pkgdesc+=" (common files)"
-  depends=("java-environment>=8" webkit2gtk unzip)
+  depends=("java-environment>=11" webkit2gtk unzip)
 
   install -d "$pkgdir/usr/lib"
   cp -a eclipse-common "$pkgdir/usr/lib/eclipse"
@@ -79,17 +74,12 @@ _package() {
   local variant i
 
   case ${1#eclipse-} in
-    java      ) variant=Java; replaces=(eclipse) ;;
-    jee       ) variant=JEE ;;
     cpp       ) variant=C++; replaces=(eclipse-cdt) ;;
-    php       ) variant=PHP ;;
-    javascript) variant=JavaScript ;;
-    rust      ) variant=Rust ;;
     *         ) return 1 ;;
   esac
 
   pkgdesc+=" for $variant"
-  depends=("java-environment>=8" webkit2gtk unzip)
+  depends=("java-environment>=11" webkit2gtk unzip)
   if [ "$AUR_BUILD" = false ]; then
   depends=("eclipse-common=$pkgver-$pkgrel" bash)
   fi
-- 
2.29.2

BR,
   Jasmin

Offline

Board footer

Powered by FluxBB